Update fixed asset

PATCH /api/v1/fixed-assets/{asset_id}

Update a fixed asset.

Operation ID: update_fixed_asset_api_v1_fixed_assets__asset_id__patch · View as markdown · OpenAPI slice

Authentication

Bearer token authentication. Pass your DayZero API token in the Authorization header and the target business UUID in x-business-id.

Parameters

Path

asset_id string required

Request body

name string
description string
asset_number string
serial_number string
category_id string
vendor_id string
salvage_value integer
useful_life_months integer
depreciation_method DepreciationMethod
total_expected_units integer
location string
notes string

Responses

200 Successful Response

name string required

Asset name

description string

Asset description

asset_number string

User-defined asset tracking number

serial_number string

Manufacturer serial number

purchase_date string · date required

Date the asset was purchased

original_cost integer required

Purchase cost in cents

salvage_value integer

Estimated salvage value in cents

useful_life_months integer

Expected useful life in months

depreciation_method DepreciationMethod DepreciationMethod

Depreciation calculation method

location string

Physical location of the asset

notes string

Additional notes

id string required

Asset ID

category_id string

Asset category ID

category_name string

Asset category name

vendor_id string

Vendor ID

in_service_date string · date

Date placed in service

total_expected_units integer

Total expected units (units-of-production method)

units_used_to_date integer

Cumulative units used to date

status AssetStatus requiredAssetStatus

Asset lifecycle status: draft, active, fully_depreciated, disposed

disposal_date string · date

Date the asset was disposed

disposal_amount integer

Sale/trade proceeds in cents

disposal_method DisposalMethod

How the asset was disposed

depreciable_amount integer required

Cost minus salvage value, in cents

accumulated_depreciation integer required

Total depreciation taken to date, in cents

book_value integer required

Current book value (cost - accumulated depreciation), in cents

monthly_depreciation_amount integer required

Monthly depreciation amount, in cents

remaining_life_months integer required

Remaining useful life in months

created_at string · date-time required

Record creation timestamp

updated_at string · date-time required

Last update timestamp

422 Validation Error

detail array · ValidationError ValidationError
5 fields
loc array · string | integer required
msg string required
type string required
input object
ctx object